package com.liangjian.dataplatform.member.entity.vo.datanodes;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.liangjian.dataplatform.member.constant.DataNodeConstant;

import java.util.Date;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/26 15:27
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class PDM extends DataNode {

    private static final long serialVersionUID = -2906567185300004227L;

    protected String cnName;

    protected String fileName;

    public PDM() {
    }

    public PDM(String id, String prtId, String name, String bizDomain, String nodeType, Boolean isParent, String comment, String remark, Date crtDate, Date lastUpdate, String crtUser, String namespace, String cnName) {
        super(id, prtId, name, bizDomain, nodeType, isParent, comment, remark, crtDate, lastUpdate, crtUser, namespace);
        this.cnName = cnName;
    }

    public PDM(String id, String prtId, String name, String bizDomain, String nodeType, Boolean isParent, String comment, String remark, Date crtDate, Date lastUpdate, String crtUser, String namespace, String cnName, String fileName) {
        super(id, prtId, name, bizDomain, nodeType, isParent, comment, remark, crtDate, lastUpdate, crtUser, namespace);
        this.cnName = cnName;
        this.fileName = fileName;
    }

    @Override
    public String getDataKind() {
        return DataNodeConstant.KIND_PDM;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
